--[[	Ultroman the Tacoman 2023	 ]]
name = "Auto Stack and Pick Up"
description = "This mod gives you MANY settings for automatically stacking or picking up newly spawned and manually dropped stackable items. All features can be enabled individually."
author = "Ultroman"
version = "0.2.8"

forumthread = ""

api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true
shipwrecked_compatible = true
hamlet_compatible = true
dst_compatible = false

priority = 0

icon_atlas = "preview.xml"
icon = "preview.tex"

configuration_options =
{
	{
		name 	= "",
		label 	= "GENERAL SETTINGS",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "SmokePuffOnStacking",
		label = "Puff On Stack",
		hover = "Visualize auto stacking and pick up with a smoke puff where the stacked item was.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = true,
	},
	{
		name 	= "",
		label 	= "WORLD SPAWN SETTINGS",
		hover 	= "Settings for auto stacking items spawned by anything in the world.",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "AutoStackEnabled",
		label = "World Drop Auto Stack",
		hover = "Enable auto stacking items spawned by anything in the world, except players?",
		options =	{
						{description = "On", data = true},
						{description = "Off", data = false},
					},
		default = true,
	},
	{
		name = "StackDuringPopulation",
		label = "World Gen Auto Stack",
		hover = "Also auto stack items spawned during world generation / population? Will auto stack all items that are close!!!",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "AutoStackRange",
		label = "World Auto Stack Range",
		hover = "The range within which a spawned item looks for a stack to join.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
					},
		default = 10,
	},
	{
		name = "AutoStackMakeNewStackMainStack",
		label = "World Auto Stack In",
		hover = "'Existing' means that new drops are added to surrounding stacks.\n'Newest' means surrounding stacks are added to the newest stack.",
		options =	{
						{description = "Newest", data = true},
						{description = "Existing", data = false},
					},
		default = true,
	},
	{
		name = "AutoStackAsh",
		label = "World Auto Stack Ash",
		hover = "Also auto stack newly spawned ash?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "AutoStackPoop",
		label = "World Auto Stack Poop",
		hover = "Also auto stack newly spawned poop?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "AutoStackSeeds",
		label = "World Auto Stack Seeds",
		hover = "Also auto stack newly spawned seeds?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name 	= "",
		label 	= "MANUAL DROP SETTINGS",
		hover 	= "Settings for auto stacking items manually dropped by players.",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "AutoStackManuallyDroppedItems",
		label = "Manual Drop Auto Stack",
		hover = "Auto stack items dropped manually by players?",
		options =	{
						{description = "On", data = true},
						{description = "Off", data = false},
					},
		default = false,
	},
	{
		name = "ManualDropStackRange",
		label = "Manual Auto Stack Range",
		hover = "The range within which a manually dropped item looks for a stack to join.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
					},
		default = 5,
	},
	{
		name = "ManualStackMakeNewStackMainStack",
		label = "Manual Auto Stack In",
		hover = "'Existing' means that newly dropped items are added to surrounding stacks.\n'Newest' means surrounding stacks are added to the newly dropped stack.",
		options =	{
						{description = "Newest", data = true},
						{description = "Existing", data = false},
					},
		default = false,
	},
	{
		name = "ManualStackAsh",
		label = "Manual Auto Stack Ash",
		hover = "Also auto stack manually dropped ash?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "ManualStackPoop",
		label = "Manual Auto Stack Poop",
		hover = "Also auto stack manually dropped poop?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "ManualStackSeeds",
		label = "Manual Auto Stack Seeds",
		hover = "Also auto stack manually dropped seeds?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name 	= "",
		label 	= "AUTO PICKUP SETTINGS",
		hover 	= "Settings for automatically picking up stackable items spawned by anything in the world.",
		options =	{
						{description = "", data = 0},
					},
		default = 0,
	},
	{
		name = "AutoPickupEnabled",
		label = "Auto Pickup Items",
		hover = "Automatically give stackable items spawned by anything in the world to the closest player? Auto Pickup has priority over World Spawn Auto Stacking.",
		options =	{
						{description = "On", data = true},
						{description = "Off", data = false},
					},
		default = false,
	},
	{
		name = "AutoPickupRange",
		label = "Auto Pickup Range",
		hover = "The range within which a spawned stackable item looks for a player to be automatically picked up by.",
		options =	{
						{description = "1", data = 1},
						{description = "2", data = 2},
						{description = "3", data = 3},
						{description = "4", data = 4},
						{description = "5", data = 5},
						{description = "6", data = 6},
						{description = "7", data = 7},
						{description = "8", data = 8},
						{description = "9", data = 9},
						{description = "10", data = 10},
						{description = "11", data = 11},
						{description = "12", data = 12},
						{description = "13", data = 13},
						{description = "14", data = 14},
						{description = "15", data = 15},
						{description = "16", data = 16},
						{description = "17", data = 17},
						{description = "18", data = 18},
						{description = "19", data = 19},
						{description = "20", data = 20},
						{description = "21", data = 21},
						{description = "22", data = 22},
						{description = "23", data = 23},
						{description = "24", data = 24},
						{description = "25", data = 25},
					},
		default = 10,
	},
	{
		name = "PlayerMustHaveOneOfItemToAutoPickup",
		label = "Require Existing Stack?",
		hover = "To auto pick up an item, the player must already have one of that item in their inventory or backpack.",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "AutoPickupAsh",
		label = "Auto Pickup Ash",
		hover = "Also auto pick up newly spawned ash?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "AutoPickupPoop",
		label = "Auto Pickup Poop",
		hover = "Also auto pick up newly spawned poop?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
	{
		name = "AutoPickupSeeds",
		label = "Auto Pickup Seeds",
		hover = "Also auto pick up newly spawned seeds?",
		options =	{
						{description = "Yes", data = true},
						{description = "No", data = false},
					},
		default = false,
	},
}